﻿using Newtonsoft.Json.Linq;
using PTMedicalInsurance.Helper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Business
{
    class IPExitProcess : AbstractProcess
    {
        public override CallResult Process(JObject input)
        {
            string errMsg = "";
            JObject jo2402Inpar = JObject.Parse(JsonHelper.getDestValue(input, "DischargeRegister"));
            JObject jo2402Rtn = invoker.invokeCenterService(TradeEnum.InpatientExit, jo2402Inpar);

            if (JsonHelper.parseCenterRtnValue(jo2402Rtn, out errMsg) != 0)
            {
                return Exception(-1, "出院登记失败", errMsg);
            }
            outParam = input.ToString();
            return Success();
        }
    }
}
