﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity
{
    /// <summary>
    /// 【2302】住院费用明细撤销
    /// 交易说明：通过此交易撤销住院费用明细。
    /// </summary>
    public class InpatientExpenseDetailCancellationInput
    {
        /// <summary>
        /// 费用明细流水号
        /// 传入“0000”时删除全部
        /// </summary>
        public string feedetl_sn { get; set; }

        /// <summary>
        /// 就诊 ID
        /// </summary>
        public string mdtrt_id { get; set; }

        /// <summary>
        /// 人员编号
        /// </summary>
        public string psn_no { get; set; }
    }

}
