﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity
{
    public enum BusinessType
    {
        /// <summary>
        /// 门诊获取身份信息
        /// </summary>
        M1,
        /// <summary>
        /// 门诊登记
        /// </summary>
        M2,
        /// <summary>
        /// 门诊登记取消
        /// </summary>
        M2C,
        /// <summary>
        /// 门诊费用上传
        /// </summary>
        M3,
        /// <summary>
        /// 门诊费用上传取消
        /// </summary>
        M3C,
        /// <summary>
        /// 门诊预结算
        /// </summary>
        M4,
        /// <summary>
        /// 门诊预结算取消
        /// </summary>
        M4C,
        /// <summary>
        /// 门诊正式结算
        /// </summary>
        M5,
        /// <summary>
        /// 门诊冲销结算
        /// </summary>
        M5C,
        /// <summary>
        /// 移动支付
        /// </summary>
        M6,
        /// <summary>
        /// 移动支付撤销
        /// </summary>
        M6C,
        /// <summary>
        /// 移动支付确认
        /// </summary>
        M6Confirm,
        /// <summary>
        /// 入院修改
        /// </summary>
        Z0,
        /// <summary>
        /// 住院获取身份信息
        /// </summary>
        Z1,
        /// <summary>
        /// 入院登记
        /// </summary>
        Z2,
        /// <summary>
        /// 入院登记取消
        /// </summary>
        Z2C,
        /// <summary>
        /// 住院费用上传
        /// </summary>
        Z3,
        /// <summary>
        /// 住院费用上传取消
        /// </summary>
        Z3C,
        /// <summary>
        /// 住院预结算
        /// </summary>
        Z4,
        /// <summary>
        /// 住院预结算取消
        /// </summary>
        Z4C,
        /// <summary>
        /// 住院正式结算
        /// </summary>
        Z5,
        /// <summary>
        /// 住院结算冲销
        /// </summary>
        Z5C,
        /// <summary>
        /// 出院登记
        /// </summary>
        Z6,
        /// <summary>
        /// 出院登记取消
        /// </summary>
        Z6C,
        /// <summary>
        /// 默认值
        /// </summary>
        NULL,
    }
}
