﻿using Newtonsoft.Json.Linq;
using PTMedicalInsurance.FormSetter;
using PTMedicalInsurance.Variables;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PTMedicalInsurance.Forms
{
    public partial class PrescriptionForm : Form
    {
        private GridViewSetter grdSetter = new GridViewSetter();

        public PrescriptionForm()
        {
            InitializeComponent();
        }

        private void PrescriptionForm_Load(object sender, EventArgs e)
        {
            this.txtName.Text = Global.pat.name;
            this.txtNo.Text = Global.pat.certNO;
        }

        public void initList(JArray joData)
        {
            DataTable dtData = (DataTable)joData.ToObject(typeof(DataTable));
            dgvHistory.DataSource = dtData;
            grdSetter.SetHeaderTextOfHistoryPrescription(dgvHistory);
        }
    }


}
